{smcl}
{* 29Jun2008}{...}
{cmd:help wfegloops}
{hline}

{title:Title}

{p2colset 5 12 24 2}{...}
{p2col:{hi:Examples using loops}}{p_end}
{p2colreset}{...}

{title:List of examples}
{p2colset 5 12 24 2}{...}

{p2col:1. Add a counter to a loop.}{p_end}
{p2col:2. Save summarize statistics to a matrix.}{p_end}
{p2col:3. Save t-test results to a matrix.}{p_end}
{p2col:}{p_end}
{title:1. Add a counter to a loop}

local counter = 0
foreach varname in warm yr89 male white age ed prst {
    local ++counter
    local varlabel : variable label `varname'
    display "`counter'. `varname'" _col(12) "`varlabel'"
}

{title:2. Save summary statistics to a matrix}

local sdvars "Bsdnei Bsdsoc Bsdchld Bsdfrnd"
local nvars : word count `sdvars'
matrix stats = J(`nvars',2,.)
matrix colnames stats = Pct1s N
matrix rownames stats = `sdvars'
local irow = 0
foreach varname in `sdvars' {
    local ++irow
    quietly sum `varname'
    local samplesize = r(N)
    local pct1 = r(mean)*100
    matrix stats[`irow',1] = `pct1'
    matrix stats[`irow',2] = `samplesize'
}

{title:3. Save t-test results to a matrix}

matrix stats = J(5,6,-99)
matrix colnames stats ///
    = FemMn FemSD MalMn MalSD t_test t_prob
matrix rownames stats = `varlist'
local irow = 0
foreach var of varlist `tenvars' {
    local ++irow
    quietly ttest `var', by(female)
    matrix stats[`irow',1] = r(mu_2) // female mean
    matrix stats[`irow',2] = r(sd_2) // female sd
    matrix stats[`irow',3] = r(mu_1) // male mean
    matrix stats[`irow',4] = r(sd_1) // female sd
    matrix stats[`irow',5] = r(t)    // t-value
    matrix stats[`irow',6] = r(p)    // p-value
}
{p2colset 5 12 12 2}
{title:Also see}

    {helpb wf}
INCLUDE help wf_footer
