{smcl}
{* 29Jun2008}{...}
{cmd:help wfmissing}
{hline}

{title:Title}

{p2colset 5 22 24 2}{...}
{p2col:{hi:Working with missing data}}{p_end}
{p2colreset}{...}

{title:List of examples}
{synoptset 15 tabbed}{...}

{p2col:Select cases if variables are not missing.}{p_end}
{p2col:Commands for missing values.}{p_end}
{p2col:Summarize missing data in dataset.}{p_end}
{p2col:Suggested meanings for extended missing values.}{p_end}

{title:Select cases if variables are not missing}

mark notmissing // create variable to indicate if not missing
markout notmissing var1 var2 ... varK // check these variables
label def notmissing 0 0_missing 1 1_nomiss
label val notmissing notmissing
tab notmissing, missing
keep if notmissing

{title:Commands for missing values}

Select if missing

    {bf:keep if missing(myvar)}

Select if not missing

    {bf:keep if !missing(myvar)}

Select if not missing}

    {bf:keep if !missing(myvar)}

Indicate of missing for any of a set of variables}

    {bf:gen ismiss = miss(var1,var2,var3)}

{title:Summarize missing data in dataset}

    {bf:misschk}

{p}For details, {cmd:help }{helpb misschk}. {cmd:misshck} is part of the
SPOST package.

{title:Suggested meanings for extended missing values}
{p2colset 5 13 13 2}{...}

  {ul:Letter}    {ul:Used for}
{p2col:{bf:.}}Sysmiss; unspecified reason for missing data.{p_end}
{p2col:{bf:.d}}Don't know.{p_end}
{p2col:{bf:.l}}Do not use since easy to confuse with 1 (one).{p_end}
{p2col:{bf:.n}}Not applicable, such as only adults were asked question.{p_end}
{p2col:{bf:.p}}Preliminary (i.e., lead in) question refused.{p_end}
{p2col:{bf:.r}}Refused to answer.{p_end}
{p2col:{bf:.s}}Skipped due to skip pattern.{p_end}
{p2col:{bf:.t}}Technical problem such as read error on mark sense form.{p_end}
{p2colset 5 12 12 2}
{title:Also see}

    {helpb wf}
INCLUDE help wf_footer
