{smcl}
{* 29Jun2008}{...}
{cmd:help wfstyle}
{hline}

{title:Styles for labels, names and notes}

{p2colset 5 19 19 2}{...}

{title:Labels and notes}

{p2col:{hi:label data}}label data "<descripiton> \ <date>"{p_end}

{p2col:{it:Example}}label data "CWH analysis file \ 2006-12-07"{p_end}

{p2col:{hi:note:}}note: <name>.dta \ <description> \ <dofile>.do <initials> <date>.{p_end}

{p2col:{it:Example}}note: mydata01.dta \ Sample dataset \ mydofile.do jsl 2008-06-28.{p_end}

{p2col:{hi:label var}}label var <var>: <key info in first 30 columns>{p_end}

{p2col:{it:Example}}label var pub1: publications in year 1{p_end}

{p2col:{hi:note <var>:}}note <name>: <description> \ <do-file> <initials> <date>.{p_end}

{p2col:{it:Example}}note pub9trunc: pub9 truncated at 20 \ wf-notes.do jsl 2008-06-26.{p_end}

{p2col:{hi:label define}}label def Lmylabel 0 0_label0 1 1_label1{p_end}

{p2col:{hi:label value}}label val  myvar Lmylabel{p_end}

{p2col:{it:Note}}Value labels used by one variable, should have
    the same names as the variable; labels used by multiple variales
    should have names that begin with L.{p_end}

{title:Names}

{p2col:{hi:Variables}}Ten or less characters in length.{p_end}

{p2col:{it:Capitals}}B: binary (e.g., Bedhs){p_end}
{p2col:}I: indicator variable{p_end}
{p2col:}M: indicator for missing data (e.g., Mfemale){p_end}
{p2col:}N: negatively coded scale (e.g., Nwarmmom){p_end}
{p2col:}P: positivelyi coded scale{p_end}
{p2col:}S: source variable that has never been changed{p_end}
{p2col:}V: version of variable (e.g., edyrsV2){p_end}
{p2col:}X: tempoary variable that can be deleted{p_end}

{p2col:{hi:Do-files}}{it:project}[{it:-task}]{it:step}[{it:letter}][V{it:#}][-{it:desc}].do{p_end}

{p2col:{it:Example}}epsl-flim01a-desc.do; group01a-getdata.do{p_end}

{p2col:{hi:Datasets}}<name>##.dta{p_end}

{p2col:{it:Example}}science02.dta{p_end}

{p2col:{it:Temporary}}x-science02.dta"{p_end}

{p2col:{it:1-time}}<do-file-name>.do (e.g., mypgm.dta){p_end}

{p2col:{hi:Reprints}}(author name) (year) (journal) (description){p_end}

{p2col:{it:Example}}trivedi 2008 JAE Count models.pdf{p_end}

{title:Comments}


{cmd:    //  #1}
{cmd:    //  Load data and select sample}


{cmd:    // ==================================================== }
{cmd:    // = Preliminary analyses based on pre-release data}

{title:Also see}

    {helpb wf}
INCLUDE help wf_footer
